import numpy as np
from sklearn.model_selection import train_test_split

D = np.loadtxt("iris.csv", delimiter=',', skiprows=1, max_rows=100 )
print( D.shape )

# Tenemos que separar los datos en datos para el
# entrenamiento del modelo y datos
# para probar el modelo

X = D[:,0:4]
#       0 <= i < 4
y = D[:,4]

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=42)

# El modelo ajustado
vw = np.array( [0.44827396, -0.83885643,  2.17680962,  0.92060958] )
w0 = -6.37153915

n, m = X_prueba.shape

error = 0
i = 0
while i<n :
	x = vw.T @ X_prueba[i] + w0
	y = 1.0/(1.0 + np.exp( -x ) )
	if y >= 0.5 :
		clase = 1
	else :
		clase = 0

	if clase != y_prueba[i] :
		error += 1

	i += 1

# Este error es la suma de los Positicos falsos y los Negativos Falsos
print( error )
